﻿using System;
using Grasshopper.Kernel.Types;

namespace rFER_ExcelExp
{
    class DistenceGH_Point
    {
        public GH_Point p1 = new GH_Point();
        public GH_Point p2 = new GH_Point();

        public DistenceGH_Point(GH_Point P1, GH_Point P2)
        {
            p1 = P1;
            p2 = P2;
        }
        public double dist()
        {
            return Math.Sqrt(((p1.Value.X-p2.Value.X)*(p1.Value.X - p2.Value.X))+((p1.Value.Y - p2.Value.Y) * (p1.Value.Y - p2.Value.Y)) + ((p1.Value.Z - p2.Value.Z) * (p1.Value.Z - p2.Value.Z)));
        }
    }
}
