﻿using System;
using System.Collections.Generic;
using Grasshopper.Kernel.Types;
using Grasshopper.Kernel.Data;

namespace rFER_ExcelExp
{
    class KnotenNrZuordnen
    {
        public List<GH_Point> KList = new List<GH_Point>();
        public GH_Structure<GH_Point> LinienPunkte = new GH_Structure<GH_Point>();
        int Offset = 0;

        public KnotenNrZuordnen(List<GH_Point> kList, GH_Structure<GH_Point> linienPunkte, int offset)
        {
            KList = kList;
            LinienPunkte = linienPunkte;
            Offset = offset;
        }

        public List<string> FindeKnotenNr()
        {
            List<string> KnotenNrLinienKnotenNr = new List<string>();
            for (int i = 0; i < LinienPunkte.Branches.Count; i++)
            {
                string a = "";
                foreach (GH_Point p in LinienPunkte.get_Branch(i))
                {
                    int z = 0;
                                       
                    foreach (GH_Point p2 in KList)
                    {
                        DistenceGH_Point dist = new DistenceGH_Point(p, p2);
                        if (dist.dist()<0.0001)
                        {
                            if(a=="")
                            {
                                a = Convert.ToString(z + 1 + Offset);
                            }
                            else
                            {
                                a=a+", "+ Convert.ToString(z + 1 + Offset);
                            }
                        }
                        z++;
                    }
                }
                KnotenNrLinienKnotenNr.Add(a);
            }
            return KnotenNrLinienKnotenNr;
        }
    }
}
